Skip to main content
GET
/
v2
/
payee-destination
Get active payee destination for wallet
curl --request GET \
  --url https://api.request.network/v2/payee-destination \
  --header 'Origin: <origin>' \
  --header 'x-client-id: <x-client-id>'
import requests

url = "https://api.request.network/v2/payee-destination"

headers = {
"x-client-id": "<x-client-id>",
"Origin": "<origin>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-client-id': '<x-client-id>', Origin: '<origin>'}};

fetch('https://api.request.network/v2/payee-destination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Headers

x-client-id
string
required

Client ID for frontend authentication

Origin
string
required

Origin header (automatically set by browser)

Query Parameters

walletAddress
string
required

The wallet address to filter payee destinations

Response

Active payee destination retrieved successfully (or null if none exists)